## ros-rolling-examples-rclcpp-minimal-publisher 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_publisher)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(publisher_lambda lambda.cpp)
ament_target_dependencies(publisher_lambda rclcpp std_msgs)

add_executable(publisher_member_function member_function.cpp)
ament_target_dependencies(publisher_member_function rclcpp std_msgs)

add_executable(publisher_member_function_with_type_adapter member_function_with_type_adapter.cpp)
ament_target_dependencies(publisher_member_function_with_type_adapter rclcpp std_msgs)

add_executable(publisher_member_function_with_unique_network_flow_endpoints member_function_with_unique_network_flow_endpoints.cpp)
ament_target_dependencies(publisher_member_function_with_unique_network_flow_endpoints rclcpp std_msgs)

add_executable(publisher_not_composable not_composable.cpp)
ament_target_dependencies(publisher_not_composable rclcpp std_msgs)

install(TARGETS
  publisher_lambda
  publisher_member_function
  publisher_member_function_with_type_adapter
  publisher_member_function_with_unique_network_flow_endpoints
  publisher_not_composable
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-examples-rclcpp-minimal-publisher (0.14.0-1focal) focal; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.12.0-1focal) focal; urgency=high

  * Add try&catch statement to unique network flow publisher example (#313 <https://github.com/ros2/examples/issues/313>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 05 Aug 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.0-1focal) focal; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.1-1focal) focal; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.0-1focal) focal; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.2-1focal) focal; urgency=high

  * Catch possible exception from spin_some (#266 <https://github.com/ros2/examples/issues/266>) (#270 <https://github.com/ros2/examples/issues/270>)
  * Contributors: Tomoya Fujita

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.0-1focal) focal; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.8.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.8.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 24 Oct 2019 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.1-1focal) focal; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * avoid deprecated publish signature (#239 <https://github.com/ros2/examples/issues/239>)
  * Contributors: William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.6.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.6.0-1focal) focal; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.5.1-1focal) focal; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.5.0-1focal) focal; urgency=high

  * Add #include <chrono> if using std::chrono_literals #198 <https://github.com/ros2/examples/issues/198>
  * Contributors: Mikael Arguedas, Yutaka Kondo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Jun 2018 07:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.4.0-1focal) focal; urgency=high

  * Remove node:: namespace (#192 <https://github.com/ros2/examples/issues/192>)
    connects to ros2/rclcpp#416 <https://github.com/ros2/rclcpp/issues/416>
  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * Switch to using rate (#188 <https://github.com/ros2/examples/issues/188>)
  * 0.0.3
  * call shutdown before exiting (#179 <https://github.com/ros2/examples/issues/179>)
  * 0.0.2


=== debian/control ===
Source: ros-rolling-examples-rclcpp-minimal-publisher
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-examples-rclcpp-minimal-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Examples of minimal publisher nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-examples-rclcpp-minimal-publisher//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-examples-rclcpp-minimal-publisher 0.19.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 project(examples_rclcpp_minimal_publisher)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -26,6 +27,9 @@
 add_executable(publisher_member_function_with_unique_network_flow_endpoints member_function_with_unique_network_flow_endpoints.cpp)
 ament_target_dependencies(publisher_member_function_with_unique_network_flow_endpoints rclcpp std_msgs)
 
+add_executable(publisher_wait_for_all_acked member_function_with_wait_for_all_acked.cpp)
+ament_target_dependencies(publisher_wait_for_all_acked rclcpp std_msgs)
+
 add_executable(publisher_not_composable not_composable.cpp)
 ament_target_dependencies(publisher_not_composable rclcpp std_msgs)
 
@@ -34,6 +38,7 @@
   publisher_member_function
   publisher_member_function_with_type_adapter
   publisher_member_function_with_unique_network_flow_endpoints
+  publisher_wait_for_all_acked
   publisher_not_composable
   DESTINATION lib/${PROJECT_NAME}
 )

=== debian/changelog ===
ros-rolling-examples-rclcpp-minimal-publisher (0.19.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.17.0-1jammy) jammy; urgency=high

  * Update the examples to C++17. (#353 <https://github.com/ros2/examples/issues/353>)
  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.16.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.15.0-1jammy) jammy; urgency=high

  * Add an example about how to use wait_for_all_acked (#316 <https://github.com/ros2/examples/issues/316>)
  * Contributors: Barry Xu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.14.0-1jammy) jammy; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.12.0-1jammy) jammy; urgency=high

  * Add try&catch statement to unique network flow publisher example (#313 <https://github.com/ros2/examples/issues/313>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 05 Aug 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.11.0-1jammy) jammy; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.1-1jammy) jammy; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.10.0-1jammy) jammy; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.2-1jammy) jammy; urgency=high

  * Catch possible exception from spin_some (#266 <https://github.com/ros2/examples/issues/266>) (#270 <https://github.com/ros2/examples/issues/270>)
  * Contributors: Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.9.0-1jammy) jammy; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.8.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.8.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Oct 2019 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-examples-rclcpp-minimal-publisher (0.7.1-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-examples-rclcpp-minimal-publisher
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-examples-rclcpp-minimal-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Examples of minimal publisher nodes

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
